Debian Bug report logs - #249718
ITA: dosemu -- The Linux DOS Emulator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 18 May 2004 23:03:18 UTC

Owned by: Bart Martens <bart.martens@advalvas.be>

Severity: normal

Fixed in version dosemu/1.2.2-2

Done: Bart Martens <bart.martens@advalvas.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Herbert Xu <herbert@debian.org>
Subject: O: dosemu -- VGA font for the DOS Emulator
Date: Tue, 18 May 2004 23:58:08 +0100
Package: wnpp
Severity: normal

The current maintainer of dosemu, Herbert Xu <herbert@debian.org>, has
orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: dosemu
Binary: dosemu, xfonts-dosemu
Version: 1.2.1-2
Priority: optional
Section: contrib/otherosfs
Maintainer: Herbert Xu <herbert@debian.org>
Build-Depends: autoconf, bin86, bison, bsdmainutils, debhelper (>= 3), flex, libx11-dev | xlibs-dev, libxext-dev | xlibs-dev, slang1-dev, xutils
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/contrib/d/dosemu
Files: 4786c5fdbfe407a425314a51ccccb6d7 819 dosemu_1.2.1-2.dsc
 f152c391533bba0835f9d7d4d871f204 2158219 dosemu_1.2.1.orig.tar.gz
 0dabf4ed0e6a0b6728c6c2216668f1f2 16075 dosemu_1.2.1-2.diff.gz

Package: dosemu
Priority: optional
Section: contrib/otherosfs
Installed-Size: 2164
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: i386
Version: 1.2.1-2
Depends: libc6 (>= 2.3.2.ds1-4), libx11-6 | xlibs (>> 4.1.0), libxext6 | xlibs (>> 4.1.0), slang1 (>> 1.4.4-7.1), xbase-clients (>= 3.3.3.1-5) | xutils, xbase-clients (<< 4.0) | xutils
Recommends: dosemu-freedos
Suggests: xfonts-dosemu
Conflicts: suidmanager (<< 0.50)
Filename: pool/contrib/d/dosemu/dosemu_1.2.1-2_i386.deb
Size: 946664
MD5sum: dbb05009bff78bd5d0a61196fd5bcc17
Description: The Linux DOS Emulator
 DOSEMU is a PC Emulator application that allows Linux to run a DOS
 operating system in a virtual x86 machine. This allows you to run
 many DOS applications.
  - Color text and full keyboard emulation (via hotkeys) via terminal.
  - Built-in X support, includes IBM character set font.
  - Graphics capability at the console with most compatible video cards.
  - DPMI support so you can run DOOM.
  - CDROM support.
  - Builtin IPX and pktdrvr support.

Package: xfonts-dosemu
Priority: optional
Section: contrib/x11
Installed-Size: 216
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: all
Source: dosemu
Version: 1.2.1-2
Replaces: dosemu (<< 1.0.2.1-2)
Filename: pool/contrib/d/dosemu/xfonts-dosemu_1.2.1-2_all.deb
Size: 124110
MD5sum: 7ee6fa4e6f1c47db50310f7507a98d36
Description: VGA font for the DOS Emulator
 This packages contains the VGA font used by the Linux DOS Emulator.  It is
 only required when the emulator is running in X mode.
 .
 This font was part of the dosemu package.

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Drew Scott Daniels <umdanie8@cc.UManitoba.CA> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Pitt <martin@piware.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #14 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: martin@piware.de
Cc: 249718-quiet@bugs.debian.org
Subject: Your old ITA of dosemu
Date: Thu, 09 Jun 2005 02:53:17 +0200
[This is a semiautomatically generated mail]

Hi.

I currently inspect the Debian wnpp bug list and search for old ITAs
(Intent to Adopt) that are mistitled.

You have expressed in bug report #249718 [0] the intent to adopt
the package "dosemu". The last comment to this from you is dated from
16-07-2004, which is more than three months ago. Do you still intent to adopt 
this package? If not, please retitle the bug, substituting "O:" for "ITA:".

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=249718

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 249718@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 249718@bugs.debian.org
Cc: Ryan Underwood <nemesis-lists@icequake.net>, dr.claudia.neumann@gmx.de, control@bugs.debian.org
Subject: Re: Your old ITA of dosemu
Date: Thu, 9 Jun 2005 11:03:17 +0200
[Message part 1 (text/plain, inline)]
retitle 249718 O: dosemu -- The Linux DOS Emulator and the VGA font for
thanks

Frank Lichtenheld [2005-06-09  2:53 +0200]:
> You have expressed in bug report #249718 [0] the intent to adopt
> the package "dosemu". The last comment to this from you is dated from
> 16-07-2004, which is more than three months ago. Do you still intent to adopt 
> this package? If not, please retitle the bug, substituting "O:" for "ITA:".

Sorry, I forgot about this one; I don't use it any more and I don't
have the time to care for it properly. In the meantime, Claudia and
Ryan expressed interest to maintain it.

I retitle the bug now. Claudia, Ryan, please change it back to ITA if
you want to adopt the package.

Thanks and have a nice day,

Martin

-- 
Martin Pitt        http://www.piware.de
Ubuntu Developer   http://www.ubuntu.com
Debian Developer   http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Ryan Underwood <nemesis@icequake.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Ryan Underwood <nemesis@icequake.net>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>. Full text and rfc822 format available.

Message #30 received at 249718@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718@bugs.debian.org
Subject: Do you still plan to take dosemu
Date: Wed, 28 Sep 2005 21:54:27 +0200
Hi Ryan,

do you still plan to take over dosemu?

If not, please retitle it back to "O:".

TIA
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 249718@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Adrian Bunk <bunk@stusta.de>
Cc: Ryan Underwood <nemesis@icequake.net>, 249718@bugs.debian.org
Subject: Re: Do you still plan to take dosemu
Date: Wed, 28 Sep 2005 17:19:40 -0500
On Wed, Sep 28, 2005 at 09:54:27PM +0200, Adrian Bunk wrote:
> Hi Ryan,
> 
> do you still plan to take over dosemu?
> 
> If not, please retitle it back to "O:".

Uh, yes?  As far as I know I was waiting on replies from other people.
Was there anything wrong with the current package?

-- 
Ryan Underwood, <nemesis@icequake.net>



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>. Full text and rfc822 format available.

Message #40 received at 249718@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718@bugs.debian.org
Subject: Re: Do you still plan to take dosemu
Date: Thu, 29 Sep 2005 00:52:46 +0200
On Wed, Sep 28, 2005 at 05:19:40PM -0500, Ryan Underwood wrote:
> 
> On Wed, Sep 28, 2005 at 09:54:27PM +0200, Adrian Bunk wrote:
> > Hi Ryan,
> > 
> > do you still plan to take over dosemu?
> > 
> > If not, please retitle it back to "O:".
> 
> Uh, yes?  As far as I know I was waiting on replies from other people.
> Was there anything wrong with the current package?

Are you talking about the package currently in unstable?

The last upload nearly 2 months ago was an NMU to fix an RC bug.

There are several issues in the current package, e.g.:
- #327153: problem with randomisation present in recent 2.6 kernels
           (Bart Oldeman said half a year ago that the problem is that 
            the Debian package uses the deprecated comcom)
           the workaround for this issue is easy, but a proper fix
           in the dosemu package would be appreciated
- #328652: new upstream version available
           I don't see any good reason why Debian unstable still
           ships 1.2.1

Even if you don't can immediately fix any of the open bugs it would be 
nice if you would get a package uploaded for showing that you have taken 
over maintainership.

> Ryan Underwood, <nemesis@icequake.net>

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #45 received at 249718@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Adrian Bunk <bunk@stusta.de>
Cc: Ryan Underwood <nemesis@icequake.net>, 249718@bugs.debian.org
Subject: Re: Do you still plan to take dosemu
Date: Wed, 28 Sep 2005 18:25:36 -0500
On Thu, Sep 29, 2005 at 12:52:46AM +0200, Adrian Bunk wrote:
> > Was there anything wrong with the current package?
> 
> Are you talking about the package currently in unstable?

No, the package on mentors.

> The last upload nearly 2 months ago was an NMU to fix an RC bug.
> 
> There are several issues in the current package, e.g.:
> - #327153: problem with randomisation present in recent 2.6 kernels
>            (Bart Oldeman said half a year ago that the problem is that 
>             the Debian package uses the deprecated comcom)
>            the workaround for this issue is easy, but a proper fix
>            in the dosemu package would be appreciated
> - #328652: new upstream version available
>            I don't see any good reason why Debian unstable still
>            ships 1.2.1
> 
> Even if you don't can immediately fix any of the open bugs it would be 
> nice if you would get a package uploaded for showing that you have taken 
> over maintainership.a

I'm sorry, I thought that you were the fellow I had previously
corresponded with about this.  Since I am not a Debian developer (and
had given up trying to get my key signed), Andreas Tille had offered to
upload my package once it was satisfactory.  We were waiting for
upstream to reply about some issues regarding filesystem locations of
things, but since they haven't replied in a long time and a new package
is badly needed, I thought it was a good idea to go ahead and upload a
new package even if it isn't perfect.  Nobody replied to the thread in
quite a while, so I assumed the discussion was dead.  I guess I'll
revive it, but at the moment I am quite busy with other things.

In the meantime, if you are interested in this package, can you look
over the package currently on mentors and tell me if you see any
problems with it that would prevent an upload or cause upgrades from
older versions to break?  I have received no feedback about it, so I
have no idea if it even works for anyone besides myself.

-- 
Ryan Underwood, <nemesis@icequake.net>



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>. Full text and rfc822 format available.

Message #50 received at 249718@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718@bugs.debian.org
Subject: Re: Do you still plan to take dosemu
Date: Wed, 5 Oct 2005 23:48:57 +0200
On Wed, Sep 28, 2005 at 06:25:36PM -0500, Ryan Underwood wrote:
> On Thu, Sep 29, 2005 at 12:52:46AM +0200, Adrian Bunk wrote:
> > > Was there anything wrong with the current package?
> > 
> > Are you talking about the package currently in unstable?
> 
> No, the package on mentors.
> 
> > The last upload nearly 2 months ago was an NMU to fix an RC bug.
> > 
> > There are several issues in the current package, e.g.:
> > - #327153: problem with randomisation present in recent 2.6 kernels
> >            (Bart Oldeman said half a year ago that the problem is that 
> >             the Debian package uses the deprecated comcom)
> >            the workaround for this issue is easy, but a proper fix
> >            in the dosemu package would be appreciated
> > - #328652: new upstream version available
> >            I don't see any good reason why Debian unstable still
> >            ships 1.2.1
> > 
> > Even if you don't can immediately fix any of the open bugs it would be 
> > nice if you would get a package uploaded for showing that you have taken 
> > over maintainership.a
> 
> I'm sorry, I thought that you were the fellow I had previously
> corresponded with about this.  Since I am not a Debian developer (and

No, that wasn't me.

> had given up trying to get my key signed), Andreas Tille had offered to
> upload my package once it was satisfactory.  We were waiting for
> upstream to reply about some issues regarding filesystem locations of
> things, but since they haven't replied in a long time and a new package
> is badly needed, I thought it was a good idea to go ahead and upload a
> new package even if it isn't perfect.  Nobody replied to the thread in
> quite a while, so I assumed the discussion was dead.  I guess I'll
> revive it, but at the moment I am quite busy with other things.
> 
> In the meantime, if you are interested in this package, can you look
> over the package currently on mentors and tell me if you see any
> problems with it that would prevent an upload or cause upgrades from
> older versions to break?  I have received no feedback about it, so I
> have no idea if it even works for anyone besides myself.

lintian gives some warnings and errors you should look into.

configure decides not to use svgalib, but that's not your fault since 
the svgalib in unstable is too old.

After an upgrade from unstable, dosemu does no longer start:

<--  snip  -->

$ dosemu
default_lib_dir /usr/lib/dosemu does not exist
default_lib_dir /usr/lib/dosemu does not exist
$ 

<--  snip  -->

> Ryan Underwood, <nemesis@icequake.net>

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #55 received at 249718@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Adrian Bunk <bunk@stusta.de>
Cc: Ryan Underwood <nemesis@icequake.net>, 249718@bugs.debian.org
Subject: Re: Do you still plan to take dosemu
Date: Wed, 5 Oct 2005 17:14:34 -0500
On Wed, Oct 05, 2005 at 11:48:57PM +0200, Adrian Bunk wrote:
> 
> lintian gives some warnings and errors you should look into.

I am aware of warnings that I can't fix regarding /usr/X11R6.  I am not
aware of any errors.

> configure decides not to use svgalib, but that's not your fault since 
> the svgalib in unstable is too old.

There's no way to fix that until the new svgalib shows up.  The
maintainer said he is working on it.

> After an upgrade from unstable, dosemu does no longer start:
> 
> <--  snip  -->
> 
> $ dosemu
> default_lib_dir /usr/lib/dosemu does not exist
> default_lib_dir /usr/lib/dosemu does not exist

That's interesting.  I upgraded from unstable with no problems.  I'll
look into it when I have time (not this week).

-- 
Ryan Underwood, <nemesis@icequake.net>



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>. Full text and rfc822 format available.

Message #60 received at 249718@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718@bugs.debian.org
Subject: Re: Do you still plan to take dosemu
Date: Thu, 6 Oct 2005 00:18:08 +0200
On Wed, Oct 05, 2005 at 05:14:34PM -0500, Ryan Underwood wrote:
> 
> On Wed, Oct 05, 2005 at 11:48:57PM +0200, Adrian Bunk wrote:
> > 
> > lintian gives some warnings and errors you should look into.
> 
> I am aware of warnings that I can't fix regarding /usr/X11R6.  I am not
> aware of any errors.

I was only looking at the dosemu source package, and the warnings and 
errors I'm getting with a current lintian from unstalbe are:

E: xfonts-dosemu: old-fsf-address-in-copyright-file
W: dosemu: possible-bashism-in-maintainer-script preinst:23 '[ -f /var/lib/dosemu/hdimage -a '
W: dosemu: possible-bashism-in-maintainer-script preinst:28 '[ -L /etc/dosemu/conf -a '
W: dosemu: possible-bashism-in-maintainer-script preinst:35 '[ -L /etc/dosemu/conf -a '
E: dosemu: old-fsf-address-in-copyright-file


> > configure decides not to use svgalib, but that's not your fault since 
> > the svgalib in unstable is too old.
> 
> There's no way to fix that until the new svgalib shows up.  The
> maintainer said he is working on it.

That's what I wanted to say.

> > After an upgrade from unstable, dosemu does no longer start:
> > 
> > <--  snip  -->
> > 
> > $ dosemu
> > default_lib_dir /usr/lib/dosemu does not exist
> > default_lib_dir /usr/lib/dosemu does not exist
> 
> That's interesting.  I upgraded from unstable with no problems.  I'll
> look into it when I have time (not this week).

Thanks.

> Ryan Underwood, <nemesis@icequake.net>

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>. Full text and rfc822 format available.

Message #65 received at 249718@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: Ryan Underwood <nemesis@icequake.net>, 249718@bugs.debian.org
Subject: Status of ITA
Date: Sun, 18 Dec 2005 01:30:56 +0100
Hi,

what is the status of adopting the dosemu-package?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #70 received at 249718@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: daniel.baumann@panthera-systems.net, 249718@bugs.debian.org
Cc: Ryan Underwood <nemesis@icequake.net>
Subject: Re: Bug#249718: Status of ITA
Date: Sun, 18 Dec 2005 14:39:53 -0600
On Sun, Dec 18, 2005 at 01:30:56AM +0100, Daniel Baumann wrote:
> Hi,
> 
> what is the status of adopting the dosemu-package?

I have no idea.  I talked to several people about sponsoring an upload
but in the end nothing happened.  There is a package on experimental
but it is out of date.

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #75 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: Bug#249718: Status of ITA
Date: Sun, 18 Dec 2005 21:44:16 +0100
Ryan Underwood wrote:
> I have no idea.  I talked to several people about sponsoring an upload
> but in the end nothing happened.  There is a package on experimental
> but it is out of date.

Are you still interested in adopting dosemu? If not, I will may do so in
the next week.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #80 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Daniel Baumann <daniel.baumann@panthera-systems.net>
Cc: Ryan Underwood <nemesis@icequake.net>, 249718-quiet@bugs.debian.org
Subject: Re: Bug#249718: Status of ITA
Date: Sun, 18 Dec 2005 15:54:15 -0600
On Sun, Dec 18, 2005 at 09:44:16PM +0100, Daniel Baumann wrote:
> Ryan Underwood wrote:
> > I have no idea.  I talked to several people about sponsoring an upload
> > but in the end nothing happened.  There is a package on experimental
> > but it is out of date.
> 
> Are you still interested in adopting dosemu? If not, I will may do so in
> the next week.

I am still interested since dosemu is a favorite package of mine, but as
I'm no D-D and nobody will sign my key for years now, it would seem to
be easier if someone else would do it at this point.  I would like to
co-maintain in any case.

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #85 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: dosemu and dosemu-freedos
Date: Fri, 23 Dec 2005 01:43:16 +0100
Ryan,

I just did an ITA on dosemu-freedos (bug 249719).  But now I see that
you did an ITA on dosemu (bug 249718 = this bug).  Do you want to adopt
both dosemu and dosemu-freedos ? Or have you already agreed with Daniel
that he takes over your ITA ?

Regards,

Bart Martens





Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #90 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Bart Martens <bart.martens@advalvas.be>
Cc: Ryan Underwood <nemesis@icequake.net>, 249718-quiet@bugs.debian.org
Subject: Re: dosemu and dosemu-freedos
Date: Fri, 23 Dec 2005 23:19:30 -0600
On Fri, Dec 23, 2005 at 01:43:16AM +0100, Bart Martens wrote:
> Ryan,
> 
> I just did an ITA on dosemu-freedos (bug 249719).  But now I see that
> you did an ITA on dosemu (bug 249718 = this bug).  Do you want to adopt
> both dosemu and dosemu-freedos ? Or have you already agreed with Daniel
> that he takes over your ITA ?

It would be easier if a Debian developer would adopt the packages.  I
will co-maintain.  Unfortunately it appears that getting my key signed
for DD application is nearly impossible.

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #95 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: dosemu and dosemu-freedos
Date: Sat, 24 Dec 2005 09:31:17 +0100
Ryan,

Yes, I've read your previous post.  Your offer for co-maintaining was
already logged in this bug report.

You have this ITA since 7 july (13 august).  You don't seem to be making
any progress, and you seem to want someone else to adopt the package.
If you don't adopt the package, then please retitle to "O:".

However, you still seem to want to maintain dosemu.  That's good,
because that means you care about dosemu.  The adoption can be done by a
non-DD.  I want to encourage you to do that.  Maybe things go better
when you build a non-maintainer package of the latest upstream stable
version, and do some showing off on the appropriate mailing lists.
Maybe you want to try that before giving up your ITA.

But, I think that dosemu and dosemu-freedos should be adopted by the
same person.  So back to my question, do you want to adopt both dosemu
and dosemu-freedos ?

Regards,

Bart Martens





Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #100 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Bart Martens <bart.martens@advalvas.be>
Cc: Ryan Underwood <nemesis@icequake.net>, 249718-quiet@bugs.debian.org
Subject: Re: dosemu and dosemu-freedos
Date: Sat, 24 Dec 2005 10:02:50 -0600
On Sat, Dec 24, 2005 at 09:31:17AM +0100, Bart Martens wrote:
> 
> You have this ITA since 7 july (13 august).  You don't seem to be making
> any progress,

?  There has been a package on experimental.  However, I received no
test reports, so I have been waiting only for the next upstream release
in order to package it.  I keep in touch quite regularly with upstream.

> and you seem to want someone else to adopt the package.

Whatever it takes to get a non-ancient version into the archive.  I
believe I have done a decent job bringing the packages into 21st
century.

> But, I think that dosemu and dosemu-freedos should be adopted by the
> same person.  So back to my question, do you want to adopt both dosemu
> and dosemu-freedos ?

Yes, but I feel like I have hit a stone wall until this point.  Nobody
wants to upload it for me until it has been tested, but not enough
people care about dosemu to test a package from experimental.  Someone
is going to have to take a small leap unfortunately.

If you want, I'll build the latest and upload it so you can check it
out...

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #105 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: suggestion for next steps
Date: Mon, 26 Dec 2005 14:39:44 +0100
Ryan,

I'm surprised that I don't see any messages from you on debian-mentors
about dosemu between 7 july 2005 and today.  If you're not really
working on adopting dosemu, then I think you should retitle this bug
report to "O:" so that others can see that dosemu is orphaned.

But, again, I hope that you do the adoption, because I think you have
the competence.  Hopefully you don't give up just because of Debian
procedures.

The upstream versions :
- stable : 1.2.2
- "bleeding edge close to stable": 1.3.3

I suggest that you package version 1.2.2, and ask on debian-mentors to
get it uploaded to unstable.  Note that this is more or less what Adrian
already suggested.

I also suggest that you report on this bug report on a regular basis
about your efforts and progress, so that candidate sponsors see that you
care about dosemu.

Regards,

Bart Martens





Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #110 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: suggestion for next steps
Date: Sat, 07 Jan 2006 09:42:20 +0100
Ryan,

On Fri, 2006-01-06 at 19:02 -0600, Ryan Underwood wrote:
> Bart, I am looking into updating the packages and just wanted to know if
> you have tested the ones on experimental yet?  A new upload is badly
> needed since the old slang is disappearing.

I don't see any dosemu package on experimental.
http://packages.debian.org/experimental/allpackages

About the progress of your adoption of dosemu : I suggest that you read
all messages on bug report 249718 again to pick up a few suggestions.

Regards,

Bart Martens





Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #115 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: bartoldeman@users.sourceforge.net
Cc: 249718-quiet@bugs.debian.org
Subject: website sourceforge dosemu outdated
Date: Sat, 07 Jan 2006 10:25:17 +0100
Hello,

You may not be aware of this :

This page seems to say that 1.2.0 is the latest stable.
http://sourceforge.net/projects/dosemu

While this page seems to say that 1.2.2 is the latest stable.
http://dosemu.sourceforge.net/stable/

Thanks,

Bart Martens





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Underwood <nemesis@icequake.net>. Full text and rfc822 format available.

Message #120 received at 249718@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 249718@bugs.debian.org
Cc: nemesis@icequake.net
Subject: I'll be happy to test new dosemu packages.
Date: Sat, 7 Jan 2006 13:49:24 -0500
Just point me to 'em.

-- 
Nathanael Nerode  <neroden@twcny.rr.com>

Make sure your vote will count.
http://www.verifiedvoting.org/



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #125 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: 249718-quiet@bugs.debian.org, Ryan Underwood <nemesis@icequake.net>
Subject: Re: suggestion for next steps
Date: Sun, 15 Jan 2006 08:45:30 +0100
Hello Ryan,

On Sat, Jan 14, 2006 at 04:25:09PM -0600, Ryan Underwood wrote:
> Would you like me to upload the 1.2.2 to experimental so you can try it
> out?

Are you aware that people are giving you suggestions on your ITA bug ?
http://bugs.debian.org/249718

Regards,

Bart Martens




Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #130 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: dosemu 1.2.2
Date: Sun, 15 Jan 2006 13:21:31 +0100
Hello Ryan,

On Sun, Jan 15, 2006 at 03:29:19AM -0600, Ryan Underwood wrote:
> I put a dosemu-freedos and dosemu 1.2.2 package on experimental,

I can't find your dosemu package on experimental, but I did find it on
this site : http://mentors.debian.net/

> try
> them out and let me know what the problems are.  

$ apt-get source dosemu=1.2.2-1
Reading package lists... Done
Building dependency tree... Done
Need to get 2239kB of source archives.
Get: 1 http://mentors.debian.net unstable/main dosemu 1.2.2-1 (dsc) [673B]
Get: 2 http://mentors.debian.net unstable/main dosemu 1.2.2-1 (tar) [2239kB]
Fetched 2239kB in 46s (47.8kB/s)
dpkg-source: extracting dosemu in dosemu-1.2.2
dpkg-source: unpacking dosemu_1.2.2-1.tar.gz
$ md5sum dosemu_*
0698c7ce687e32aaeb432a6ffe1ac8e2  dosemu_1.2.2-1.dsc
6245c6cf0b1e5a34ed316b6557252107  dosemu_1.2.2-1.tar.gz
$ ls -1
dosemu-1.2.2
dosemu_1.2.2-1.dsc
dosemu_1.2.2-1.tar.gz
$ lintian *dsc
W: dosemu source: native-package-with-dash-version
$ grep xlibs-dev dosemu-1.2.2/debian/control | wc -l
1
$

You seem to have changed the package to a "Debian native" package.  And
your package seems to depend on xlibs-dev.

http://lintian.debian.org/reports/Tnative-package-with-dash-version.html
http://wiki.debian.org/DependsXlibsDev

I hope this helps you.

Regards,

Bart Martens




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #135 received at 249718@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: 249718@bugs.debian.org
Subject: new upload
Date: Sun, 15 Jan 2006 19:49:46 -0600
Try the newest package on mentors.  The last one was uploaded as a
native package accidentally.

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #140 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: 249718-quiet@bugs.debian.org
Subject: logging some relevant e-mails
Date: Mon, 23 Jan 2006 20:11:21 +0100
Logging some relevant e-mails :



Date: Mon, 16 Jan 2006 23:06:09 +0100
From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Subject: dosemu orig.tar.gz missing

Hello Ryan,

http://mentors.debian.net/debian/pool/contrib/d/dosemu/
The file dosemu_1.2.2.orig.tar.gz is missing.  Ask
support@mentors.debian.net to remove dosemu_1.2.2* and then try
uploading version 1.2.2-3 again.

Or upload your work elsewhere.

Regards,

Bart Martens



Date: Tue, 17 Jan 2006 00:23:08 -0600
From: Ryan Underwood <nemesis@icequake.net>
To: Bart Martens <bart.martens@advalvas.be>
Subject: Re: dosemu orig.tar.gz missing

Thanks.  I sent them a mail.  I'm sorry this is so annoying :)

Ryan

On Mon, Jan 16, 2006 at 11:06:10PM +0100, Bart Martens wrote:
> Hello Ryan,
>
> http://mentors.debian.net/debian/pool/contrib/d/dosemu/
> The file dosemu_1.2.2.orig.tar.gz is missing.  Ask
> support@mentors.debian.net to remove dosemu_1.2.2* and then try
> uploading version 1.2.2-3 again.
>
> Or upload your work elsewhere.
>
> Regards,
>
> Bart Martens



Date: Sat, 21 Jan 2006 00:05:08 +0100
From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Subject: Re: dosemu orig.tar.gz missing

On Tue, Jan 17, 2006 at 12:23:08AM -0600, Ryan Underwood wrote:
> On Mon, Jan 16, 2006 at 11:06:10PM +0100, Bart Martens wrote:
> > http://mentors.debian.net/debian/pool/contrib/d/dosemu/
> > The file dosemu_1.2.2.orig.tar.gz is missing.  Ask
> > support@mentors.debian.net to remove dosemu_1.2.2* and then try
> > uploading version 1.2.2-3 again.
> >
> I sent them a mail.

Have you noticed that the remove has been done ?

Regards,

Bart Martens



Date: Mon, 23 Jan 2006 12:56:19 -0600
From: Ryan Underwood <nemesis@icequake.net>
To: Bart Martens <bart.martens@advalvas.be>
Subject: Re: dosemu orig.tar.gz missing

On Sat, Jan 21, 2006 at 12:05:08AM +0100, Bart Martens wrote:
> > >
> > I sent them a mail.
>
> Have you noticed that the remove has been done ?

Yes.  I think I may just upload the CVS version that will become 1.4.0
shortly, since 1.2.x does not compile with gcc4 (and upstream doesn't
like the idea of 1.2.x being propagated anymore).

--
Ryan Underwood, <nemesis@icequake.net>




Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #145 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Bart Martens <bart.martens@advalvas.be>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: dosemu orig.tar.gz missing
Date: Mon, 23 Jan 2006 17:19:59 -0600
On Sat, Jan 21, 2006 at 12:05:08AM +0100, Bart Martens wrote:
> 
> Have you noticed that the remove has been done ?

I'm uploading new packages to mentors now, please try them. (1.2.2-4 of
dosemu and b9r5-3 of dosemu-freedos)

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #150 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: 249718-quiet@bugs.debian.org
Subject: correction
Date: Mon, 23 Jan 2006 19:46:17 -0600
sorry, that should be 1.2.2-3.  Anyway, I've tested them on a sid system
and they seem to work.  It would be nice if someone could test an
upgrade...

-- 
Ryan Underwood, <nemesis@icequake.net>



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #155 received at 249718@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: 249718@bugs.debian.org
Subject: 1.4.0
Date: Thu, 26 Jan 2006 10:54:57 -0600
Well, if no one is really interested, I guess I will package 1.4.0 since
it will be released soon.  Hopefully dosemu will not be removed from the
archive until then...

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #160 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: dosemu 1.2.2
Date: Wed, 1 Feb 2006 20:08:16 +0100
Hello Ryan,

On Wed, Feb 01, 2006 at 11:30:30AM -0600, Ryan Underwood wrote:
> On Sun, Jan 29, 2006 at 11:42:54PM +0100, Bart Martens wrote:
> > You may want to wait until Ryan has included Matej Vela's patch for
> > bug #349206.
> 
> That patch is not necessary since my current package builds with
> gcc-3.4.

You seem to have missed what Matej Vela wrote on bug #349206.

> Within few weeks 1.4.0 will be released which fixed all gcc4 bugs
> already.

I just checked the upstream website again.  The current stable version
is 1.2.2, 1.3.3 is "close to stable", and I don't see 1.4.0 mentioned.

Regards,

Bart Martens




Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ryan Underwood <nemesis@icequake.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #165 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Ryan Underwood <nemesis@icequake.net>
To: Bart Martens <bart.martens@advalvas.be>
Cc: Ryan Underwood <nemesis@icequake.net>, 249718-quiet@bugs.debian.org
Subject: Re: dosemu 1.2.2
Date: Wed, 1 Feb 2006 15:11:06 -0600
On Wed, Feb 01, 2006 at 08:08:16PM +0100, Bart Martens wrote:
> > 
> > That patch is not necessary since my current package builds with
> > gcc-3.4.
> 
> You seem to have missed what Matej Vela wrote on bug #349206.

Not really.  I just don't see the point of build hacking when using the
older compiler (which is yet available in unstable) will work for the
time being - even if it is to be removed eventually.

> > Within few weeks 1.4.0 will be released which fixed all gcc4 bugs
> > already.
> 
> I just checked the upstream website again.  The current stable version
> is 1.2.2, 1.3.3 is "close to stable", and I don't see 1.4.0 mentioned.

Well, I checked with upstream maintainer on a regular basis ;)
The website is not too useful.

-- 
Ryan Underwood, <nemesis@icequake.net>



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #170 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: Matej Vela <vela@debian.org>, 249718-quiet@bugs.debian.org, 349206-quiet@bugs.debian.org
Subject: dosemu 1.2.2 and bug 349206
Date: Thu, 2 Feb 2006 07:48:45 +0100
Ryan,

On Wed, Feb 01, 2006 at 09:48:54PM -0600, Ryan Underwood wrote:
> This is taking way too much effort.  I'm just going to forget about
> 1.2.2 and package 1.4.0.  Honestly, I don't have time for all the
> trifling on a package which is soon to be replaced anyhow.  The only
> reason I had any intent to package 1.2.2 was because someone in this
> message chain demanded that only a stable upstream version be
> packaged... and 1.4.0 will soon be the stable upstream version, so I'll
> just create the 1.4.0 package and wait for the website to be updated.

I just checked again.  According to the upstream website, 1.2.2 is the
latest stable, 1.3.3 is "close to stable", and 1.4.0 is not mentioned.

You own ITA bug #249718 since 7 july (13 august) 2005.  Do you want to
keep it until your sponsor uploads your package of 1.4.0 ?

Would you mind that someone does a "QA upload" to fix bug #349206 and
get version 1.2.2 uploaded ?

Regards,

Bart Martens



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #175 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: dosemu 1.2.2 and bug 349206
Date: Thu, 9 Feb 2006 08:13:05 +0100
Hello Ryan,

On Mon, Feb 06, 2006 at 07:43:22PM -0600, Ryan Underwood wrote:
> If I send 1.2.2 package to you, will you upload it?

I'm not a DD.  I cannot upload your work.

> It's based on 1.2.1 with the control file, slang2 and gcc4 building
> fixed.

My "QA upload" fixed a few things.  I was already working on this "QA
upload" on 6 February, because on 4 Febrary you didn't mind (see bug
349206) that someone else does a QA upload.  I hope you don't mind now.

Regards,

Bart Martens



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #180 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: Re: Accepted dosemu 1.2.2-1 (source i386 all)
Date: Thu, 9 Feb 2006 08:19:23 +0100
Hello Ryan,

On Wed, Feb 08, 2006 at 11:16:50PM -0600, Ryan Underwood wrote:
> So you plan to maintain dosemu now?

Bug #249718 is still open and owned by you.  You're still adopting
dosemu.  There's a difference between a "QA upload" and a "New
maintainer" upload.

Regards,

Bart Martens



Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #185 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: runderwo@mail.win.org, 249718-quiet@bugs.debian.org
Subject: Re: Accepted dosemu 1.2.2-1 (source i386 all)
Date: Thu, 9 Feb 2006 08:37:38 +0100
Hello Ryan,

On Wed, Feb 08, 2006 at 11:52:13PM -0600, Ryan Underwood wrote:
> I don't know if your mails are not reaching me.  If I've unanswered your
> mail for a long time, please mail runderwo@mail.win.org as a backup.

Make sure you don't adopt dosemu with a bad e-mail address.

> I offered a package of 1.2.2, based on the old 1.2.1 package instead
> of the 1.3.x updates, several days ago but never heard back until your
> upload notice.

No, you asked me whether I would upload your newest 1.2.2 package if you
would send it to me.  You haven't sent it to me, and you haven't said
where you uploaded it if you did.  See also my reply to your e-mail of 6
February.

So, dosemu 1.2.2 is uploaded to unstable.  If you're still interested in
adopting dosemu, then I suggest that you start from the package in
unstable and work on the open bugs.  I'd be happy to verify your work if
you ask me, if that might help you adopting dosemu.

Regards,

Bart Martens



Owner changed from Ryan Underwood <nemesis@icequake.net> to Bart Martens <bart.martens@advalvas.be>. Request was from Bart Martens <bart.martens@advalvas.be> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#249718; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #192 received at 249718-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: Ryan Underwood <nemesis@icequake.net>
Cc: 249718-quiet@bugs.debian.org
Subject: dosemu - join efforts
Date: Thu, 9 Feb 2006 18:52:24 +0100
On Thu, Feb 09, 2006 at 10:23:37AM -0600, Ryan Underwood wrote:
> On Thu, Feb 09, 2006 at 05:04:02PM +0100, Bart Martens wrote:
> > I suggest that we join efforts.  Today I seem to be stronger than you in
> > the Debian packaging aspects and you seem to be stronger in dosemu
> > itself.  If I take over #249718 with your permission, then you could
> > fulfil an important role in the maintenance of dosemu, by keeping track
> > of what happens upstream, processing bug reports (analyze, comment, code
> > patches, find patches elsewhere, ...), verify my work, give me advice on
> > which patches to select for the next upload, ... etc.  Interested ?
> 
> Yes, since that is what I did for a short time while Herbert was
> maintainer and for a long time while there was no maintainer.

OK, thanks for confirming this.  I take ownership of 249718 now.  I will
soon make a new package of dosemu to adopt it.

I already need your help.  I'll send you a list of question about a few
open bugs I don't understand, and I need your advice on some other bugs.
I'll also ask you to verify my package before I ask my sponsor to upload
it.

Thanks !

Bart Martens



Reply sent to Bart Martens <bart.martens@advalvas.be>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #197 received at 249718-close@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: 249718-close@bugs.debian.org
Subject: Bug#249718: fixed in dosemu 1.2.2-2
Date: Sat, 11 Feb 2006 15:17:19 -0800
Source: dosemu
Source-Version: 1.2.2-2

We believe that the bug you reported is fixed in the latest version of
dosemu, which is due to be installed in the Debian FTP archive:

dosemu_1.2.2-2.diff.gz
  to pool/contrib/d/dosemu/dosemu_1.2.2-2.diff.gz
dosemu_1.2.2-2.dsc
  to pool/contrib/d/dosemu/dosemu_1.2.2-2.dsc
dosemu_1.2.2-2_i386.deb
  to pool/contrib/d/dosemu/dosemu_1.2.2-2_i386.deb
xfonts-dosemu_1.2.2-2_all.deb
  to pool/contrib/d/dosemu/xfonts-dosemu_1.2.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 249718@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bart Martens <bart.martens@advalvas.be> (supplier of updated dosemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 10 Feb 2006 19:47:50 +0100
Source: dosemu
Binary: dosemu xfonts-dosemu
Architecture: source i386 all
Version: 1.2.2-2
Distribution: unstable
Urgency: low
Maintainer: Bart Martens <bart.martens@advalvas.be>
Changed-By: Bart Martens <bart.martens@advalvas.be>
Description: 
 dosemu     - The Linux DOS Emulator
 xfonts-dosemu - VGA font for the DOS Emulator
Closes: 249242 249718 268664 307021 332478 351016
Changes: 
 dosemu (1.2.2-2) unstable; urgency=low
 .
   * New maintainer.  Closes: #249718.
   * debian/postrm: Don't purge user data.  Closes: #268664.
   * debian/rules: Install midid.  Closes: #249242.
   * debian/patches/04socalled.dpatch: Fix typo.  Closes: #307021.  Patch by A
     Costa <agcosta@gis.net>, thanks.
   * debian/patches/05typos351016.dpatch: Fix typo's.  Closes: #351016.  Patch
     by A Costa <agcosta@gis.net>, thanks.
   * debian/patches/06dosemu-dosdrive_d.dpatch: Environment variable
     DOSDRIVE_D.  Closes: #332478.  Patch by Michael Klein
     <michael.klein@puffin.lb.shuttle.de>, thanks.
Files: 
 fd7bc9205dea2e178165dd3f53f4ef90 706 contrib/otherosfs optional dosemu_1.2.2-2.dsc
 a8ae0bc1aa63561148b6739a3c60e829 23833 contrib/otherosfs optional dosemu_1.2.2-2.diff.gz
 ba797ac9d409d4b14a5cc739e3f7a411 127424 contrib/x11 optional xfonts-dosemu_1.2.2-2_all.deb
 105103a5610d54c4de13118fe8b9e1bd 983004 contrib/otherosfs optional dosemu_1.2.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD7m3UipBneRiAKDwRAtZGAJ9pzrQiad16wIE5hnjZDpc3lUM/7wCgp8N3
M03554gmv1JDWyt7GXcaRQI=
=/zL/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 16:50:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:20:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.